#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    int n , x , i , j=0, k ,t , z , max , min;
    scanf("%d" , &n);
    scanf("%d" , &x);
    int a[n];
    for(i=0;i<n;i++)
    {
        scanf("%d" , &a[i]);
    }
    max=a[j];
    min=a[j];
    for(i=0;i<n;i++)
    {
        if(a[i]>max)
        {
            max=a[i];
        }
        if(a[i]<min)
        {
            min=a[i];
        }
    }
    k=abs(max-x);
    t=abs(min-x);
    if(k>t)
    {
        z=t+max-min;
    }
    else
    {
        z=k+max-min;
    }
    printf("%d" , z);
    return 0;
}